package com.design.zenspace.environment.ad

import android.app.Activity

object AdsInsUtil {

    object Placement {
        const val TOP_ON_AD_ONE = "99E134664DC9E21D796BDF7747FCFF12"
        const val TOP_ON_AD_TOW = "0B01387BA902075D61D1265B59099412"
        const val TOP_ON_AD_THREE = "43A0C367BC57777A6DA8B22FF2A1F312"
    }

    fun loadAd(
        act: Activity,
        adID: String,
        loadListener: LoadListener?
    ): AdInstLoad {
        return AdInstLoad(act, adID, loadListener)
    }

    fun showAd(
        act: Activity,
        adID: String,
        listener: ShowListener?
    ): AdInstShower {
        return AdInstShower(act, adID, listener)
    }
}